onEvent('recipes', event => {

    vanilla_woods.forEach(type => {
        let id = `quark:${type}_bookshelf`;
        if(Item.exists(id)) {
            event.shaped(id,
                [
                    'ABA',
                    'CCC',
                    'ABA'
                ], 
                {
                    A: `minecraft:${type}_planks`,
                    B: 'eidolon:polished_planks',
                    C: 'minecraft:book'
                }
            ).id(`quark:building/crafting/${type}_bookshelf`);
        }
    })
    

})